This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 981336 - Download directory reset to "none" each time transmission is started
Download directory reset to "none" each time transmission is started
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: transmission (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 09:41 EDT by Steve
Modified: 2013-07-13 23:29 EDT (History)
10 users (show)

See Also:
Fixed In Version: transmission-2.80-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-13 23:29:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
settings.json file before I start transmission again (3.22 KB, application/json)
2013-07-04 09:41 EDT, Steve
no flags Details
settings.json file after I start transmission again (3.22 KB, application/json)
2013-07-04 09:42 EDT, Steve
no flags Details

  None (edit)
Description Steve 2013-07-04 09:41:41 EDT
Created attachment 768811 [details]
settings.json file before I start transmission again

Description of problem:

Each time transmission is started, the "Save to location" is set to (None), despite being set to a directory previously.  Examining the settings.json file, I can see the correct path is set in "download-dir" even after exiting transmission.  But once it is started, it comes up with some strange characters at the end

e.g.     "download-dir": "/home/stephen/^_!^?",

Version-Release number of selected component (if applicable):

transmission-gtk-2.77-3.fc19.x86_64

How reproducible:

Always

Steps to Reproduce:
1.  Go to preferences and set the "Save to location" to Downloads directory
2.  Exit Transmission
3.  Open Transmission and go to preferences

Actual results:

Save to Location is set to (none), rather than the previously saved path name.


Expected results:

It should show the previously saved path name

Additional info:
Comment 1 Steve 2013-07-04 09:42:34 EDT
Created attachment 768814 [details]
settings.json file after I start transmission again

Notice the "download-dir" has changed with some strange characters on the end.
Comment 2 Craig Barnes 2013-07-04 13:04:09 EDT
I'm having this same problem. It's incredibly annoying.

It seems that the Transmission JSON parser can't read back it's own settings correctly. When I run from a terminal I get the warning:

  [17:57:10.238] JSON parse failed in /home/username/.config/transmission/settings.json at pos 547: WEIRD_WHITESPACE -- remaining text "", 
    "downlo"

Apparently Transmission 2.80 has a new JSON parser. There's probably a fair chance that this fixes/obsoletes the issue. Any chance of an update?
Comment 3 simon panay 2013-07-07 11:55:01 EDT
This bug has also been reported on Archlinux (they have a patch attached)

https://bugs.archlinux.org/task/35354
Comment 4 Fedora Update System 2013-07-11 06:07:18 EDT
transmission-2.80-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/transmission-2.80-1.fc19
Comment 5 Ankur Sinha (FranciscoD) 2013-07-11 06:09:10 EDT
Hi,

Thank you for your bug report. I've pushed a 2.80 update to Fedora 19. Please give it karma if it fixes the issue for you (You'll need to have an FAS to give karma).

https://fedoraproject.org/wiki/QA:Updates_Testing

Thanks,
Warm regards,
Ankur
Comment 6 Fedora Update System 2013-07-11 23:08:27 EDT
Package transmission-2.80-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing transmission-2.80-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12819/transmission-2.80-1.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-07-13 23:29:17 EDT
transmission-2.80-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.